Open

This API endpoint allows the calling application to open an AIR Wallet by providing an Identity Value (if no identity is passed then the end point can be configured to operate in unidentified customer mode). AIR will check if provided Identity Value is genuine, active and known to AIR; and if so - return details of Wallet(s) and details for presented Wallet Identity. Additionally the calling application could instruct AIR to return additional data related to returned default Entities, like walletConsumer, other walletIdentities from the same Wallet, list available walletAccounts from the same Wallet, etc. Additionally the calling application could instruct AIR to perform Analyse Basket and to return back a list of suggestions what are the applicable offers for that Consumer, based on configured in AIR rules and provided Consumer's Basket Content or even request a more sophisticated action like Adjudicate Basket where AIR would return adjudicated Basket Object with applied applicable promotions, offers, etc.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

JSON Payload

identity
object | null

Identifies a customer, whether scanned or typed. Optional for cases where a customer is unknown. Without an identity, objects such as wallet and identity will not be possible.

string

Merchant Reference (please note this reference has to be unique). In combination with lock, analysed accounts can be locked using this reference

location
object
basket
object
includeAdditionalEntities
object

This optional attribute allows to instruct AIR to include additional and related entities.

boolean
Defaults to false

Optional boolean flag, allowing the calling application to instruct AIR to lock the accounts in the transaction. A reference must be passed which will be used to lock the transactions

examine
array of objects

List the tokens to be used with the basket (optional)

examine
excludedAccounts
array of objects | null

List the accounts to exclude from analysis (optional)

excludedAccounts
includedAccounts
array of objects | null

List the accounts to include in the analysis - all other accounts excluded (optional)

includedAccounts
options
object
walletTransactionOverride
object

Contains key-value pairs that are used to override some default transaction values. If the value or the key is not configured for the unit or invalid then it will fallback to the default.

Headers
string
enum
Defaults to ''

This request HTTP header advertises which content encoding (usually a compression algorithm) the calling application is able to understand. The server selects one of the proposals, use it and informs the client of its choice with the Content-Encoding Response header. Currently supported gzip and deflate. Please note if this request header is not present, no compression will be used.

Allowed:
string
enum
Defaults to close

This general HTTP header controls (or rather influences) whether the network connection stays open after the current request finishes. If the sent value is keep-alive, the connection should stay in a special state, allowing to be reused for subsequent requests to the same server. Please note these connections will be closed after reaching timeout threshold controlled by EES server (usually after 5 seconds).

Allowed:
string
Defaults to application/json

Standard HTTP header to inform EES API what type of content was passed in request payload

string
required

Client ID, provided by EES during on-boarding. Please note: the authentication mechanic requires the receipt of the full payload so any headers that would chunk the request up, such as transfer-encoding: chunked could potentially cause authentication failures.

string
required

Request Authentication Hash, calculated by concatenating Request URI Path with API prefix, Request Query String(s) if applicable, Request Payload if applicable and Client Secret. Please note: the authentication mechanic requires the receipt of the full payload so any headers that would chunk the request up, such as transfer-encoding: chunked could potentially cause authentication failures.

string

Optional Unique Reference for the API Request (Transaction) within the calling company

string

Optional header provided by the calling application for EES AIR to identify what was the external Subsystem ID / Name. Please note this header is not essential for AIR to process a Request, this header and its value will be intercepted by AIR and will show up in Wallet Event Notifications, if applicable.

string

Optional header(s) provided by the calling application to EES AIR. Please note a) this header name has to follow pattern X-CUSTOM-* (i.e. X-CUSTOM-EMAIL) b) this header is not essential for AIR to process a Request, this header and its value will be intercepted by AIR and will show up in Wallet Event Notifications, if applicable.

string

The ability to specify the date and time that should be used to adjudicate. This can be used to create transactions for past events, whilst ensuring the consumer receives the rewards that they were eligible for at that time. This functionality is only available for events less than 6 months in the past. Please note requested transaction date-time has to use ATOM Date-Time format Y-m-d\TH:i:sP, (e.g. 2017-12-31T23:59:59+09:00).

Responses

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json